Package Details: jellyfin-git 10.3.7.r489.g7203f463f4-1

Git Clone URL: https://aur.archlinux.org/jellyfin-git.git (read-only)
Package Base: jellyfin-git
Description: The Free Software Media Browser
Upstream URL: https://github.com/jellyfin/jellyfin
Licenses: GPL2
Conflicts: jellyfin
Provides: jellyfin
Submitter: z3ntu
Maintainer: z3ntu
Last Packager: z3ntu
Votes: 15
Popularity: 0.34
First Submitted: 2018-12-11 16:45
Last Updated: 2019-09-30 10:31

Pinned Comments

z3ntu commented on 2019-01-08 17:20

For all people flagging the package out of date: This is a -git package that pulls down the latest sources from the git repository, so unless the build process is broken, don't flag this package out of date! Just rebuild it.

Latest Comments

1 2 Next › Last »

onny commented on 2019-08-25 12:34

Looks like ffmpeg 4.1 support has been added: https://github.com/jellyfin/jellyfin/commit/e87d7cfaf3ce2432e9a1da9901b96d5a683a7e00

Phlogiston commented on 2019-05-03 11:28

I can not update my system anymore due to this package: :: installing x264 (2:157.r72db4377-1) breaks dependency 'libx264.so=155-64' required by ffmpeg4.0

Any idea?

Phlogiston commented on 2019-03-25 20:25

@Eisfunke: Thanks for the hint. @z3ntu: This package should then depend on ffmpeg4.0. Please change in PKGBUILD.

VGrol commented on 2019-03-07 00:48

Considering the Jellyfin project has now published Jellyfin-ffmpeg, found here, https://github.com/jellyfin/jellyfin-ffmpeg/releases/tag/v4.0.3-3

I'm not sure how portable it is to the AUR, but it might be worth keeping an eye on it. I'd be ideal to avoid pairing the user with an out of date FFMPEG package system wide. Perhaps it'd be worth making that a hard requirement for this package, once properly ported.

knighthead commented on 2019-02-01 04:48

/usr/lib/systemd/system/jellyfin.service

[Unit]

Description=Jellyfin Media Server

After=network.target

[Service]

User=jellyfin

EnvironmentFile=/etc/conf.d/jellyfin

ExecStart=/usr/bin/dotnet /usr/lib/jellyfin/jellyfin.dll -programdata ${JELLYFIN_DATA} ${JELLYFIN_ADD_OPTS}

Restart=on-abort

TimeoutSec=20

[Install]

WantedBy=multi-user.target

/etc/systemd/system/jellyfin.service.d/override.conf

[Service]

ExecStart=

ExecStart=/usr/bin/dotnet /usr/lib/jellyfin/jellyfin.dll --service --logdir ${JELLYFIN_LOGDIR} --configdir ${JELLYFINCONFIGDIR} --cachedir ${JELLYFIN_CACHEDIR} --datadir ${JELLYFIN_DATADIR} ${JELLYFIN_ADD_OPTS}

/etc/conf.d/jellyfin

JELLYFIN_DATADIR="/var/lib/jellyfin"

JELLYFIN_LOGDIR=/var/lib/jellyfin/logs

JELLYFINCONFIGDIR=/var/lib/jellyfin/config

JELLYFIN_CACHEDIR=/var/lib/jellyfin/cache

JELLYFIN_ADD_OPTS=""

DOTNET_CLI_HOME="/var/lib/jellyfin"

bobberb commented on 2019-01-26 22:08

Note to those who choose jellyfin-git over jellyfin:

You will have to DL 1.3GB git history because makepkg as it is in the distro will not allow you to pass options for shallow clones.

z3ntu commented on 2019-01-25 06:23

@bobberb: There is a stable package already, see https://aur.archlinux.org/packages/jellyfin/

z3ntu commented on 2019-01-23 16:11

@bobberb: I disagree because the master branch seems pretty stale until the next release drops, at which point the dev branch is merged onto master - and the main development happens on dev and -git packages are supposed to provide the bleeding edge EDIT: I just got word, that dev will become the master branch soon, so this discussion will be pointless ;)

z3ntu commented on 2019-01-22 15:26

@bobberb: I just rebuilt the package locally and it still builds fine... What's the problem?

Eisfunke commented on 2019-01-15 19:43

Jellyfin doesn't support ffmpeg 4.1, which is the version currently in the arch repos. E.g. seeking in streams doesn't work with it: https://github.com/jellyfin/jellyfin/issues/260

Use the ffmpeg4.0 AUR package I created if you encounter problems, everything should work fine with that version.